> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bootstrap



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant/bootstrap
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/bootstrap:
    get:
      tags:
        - Assistant Bootstrap
      summary: Get Bootstrap
      operationId: AssistantBootstrapController_getBootstrap_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: routeKey
          required: true
          in: query
          schema:
            type: string
            enum:
              - project-specifications
              - data-import
              - report-templates
        - name: projectId
          required: false
          in: query
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: locale
          required: true
          in: query
          schema:
            type: string
            enum:
              - en
              - es
              - zh
              - ja
              - fr
              - de
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantBootstrapResponseDto'
components:
  schemas:
    AssistantBootstrapResponseDto:
      type: object
      properties:
        operational:
          type: boolean
        agent:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/AssistantBootstrapAgentResponseDto'
        allowance:
          $ref: '#/components/schemas/AssistantAllowanceResponseDto'
        capabilities:
          $ref: '#/components/schemas/AssistantCapabilitiesResponseDto'
      required:
        - operational
        - agent
        - allowance
        - capabilities
    AssistantBootstrapAgentResponseDto:
      type: object
      properties:
        id:
          type: string
        suggestions:
          type: array
          items:
            type: string
      required:
        - id
        - suggestions
    AssistantAllowanceResponseDto:
      type: object
      properties:
        enforced:
          type: boolean
        limitMicrocredits:
          type: string
        consumedMicrocredits:
          type: string
        reservedMicrocredits:
          type: string
        remainingMicrocredits:
          type: string
        resetsAt:
          type: string
      required:
        - enforced
        - limitMicrocredits
        - consumedMicrocredits
        - reservedMicrocredits
        - remainingMicrocredits
        - resetsAt
    AssistantCapabilitiesResponseDto:
      type: object
      properties:
        chat:
          type: boolean
        read_project_specifications:
          type: boolean
        attachments:
          type: boolean
        extract_document_data:
          type: boolean
        inspect_spreadsheet:
          type: boolean
        generate_spreadsheet:
          type: boolean
        report_templates:
          type: boolean
      required:
        - chat
        - read_project_specifications
        - attachments
        - extract_document_data
        - inspect_spreadsheet
        - generate_spreadsheet
        - report_templates

````